Subject: bug#26125: closed (Re: bug#26125: ispell fails to detect certain typos)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Mar 2017 20:09:02 +0000

Your bug report

#26125: ispell fails to detect certain typos

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26125: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26125
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26125: ispell fails to detect certain typos
From: Arash Esbati <[email-masked]>
To: Leon Meier <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Mar 2017 21:07:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Leon Meier <[email-masked]> writes:

> On 03/16/2017 04:28 PM, Arash Esbati wrote:
>> (eval-after-load "tex-ispell"
>>        '(TeX-ispell-skip-setcar '(("\\\\(" . "\\\\)"))))
>
> I appended this to ~/.gnu-emacs-custom, and made one line out of it
> (which is a cosmetic change). After restarting emacs on the file in
> question, ispell-buffer started complaining as it should. Thank you!

Hi Leon,

you're welcome, I'm glad that we have it sorted out.

> I could stay with the newer AUCTeX version and test it further, as you
> suggested. But only if you promise to inform me explicitly via an
> important-flagged personal e-mail directly to my e-mail address when
> an AUCTeX update is issued by writing "AUCTeX: adapt your init file"
> in the subject of your e-mail. Otherwise (e.g., if such an AUCTeX
> update notice goes down in a stream of dozens of e-mails I am getting
> daily), I am 100% sure to forget it, and I wouldn't like to risk
> it. (I'm sorry, I simply cannot rely on my memory that much.)

There are also good news: It doesn't matter if we both forget about that
snippet in your .emacs; that piece of code will not break anything when
you update your AUCTeX (hopefully from ELPA) with the next release.  If
you don't want to have that snippet in you .emacs, you can put something
like this in your .tex file:

    %%% Local Variables:
    %%% mode: latex
    %%% TeX-master: t
    %%% ispell-local-dictionary: "american"
    %%% eval: (TeX-ispell-skip-setcar '(("\\\\(" . "\\\\)")))
    %%% End:

And you'll get a reminder every time you open the file :-)

Please keep on using the latest version and report anything suspicious;
this is the best way to fix bugs.

For now, I'm closing this report.

Best, Arash

Subject: ispell fails to detect certain typos
From: Leon Meier <[email-masked]>
To: [email-masked]
Date: Thu, 16 Mar 2017 13:29:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Used packages:
- auctex 11.90.0,
- emacs 24.3.1 (24.3-22.1 on OpenSuse),
- ispell 3.3.02 (3.3.02-113.1 on OpenSuse),
- ispell-american (american.aff v 1.23, 3.3.02-113.1 on OpenSuse)

Bug description:

Create the file q.tex with the following contents (without the square 
brackets):
[
\(\sigma\) contradition

%%% Local Variables:
%%% ispell-local-dictionary: "american"
%%% End:
]

Then, open q.tex with emacs when auctex is loaded. Issue
M-x ispell-buffer <RET>

Observe that the typo in the word "contradition" remains unnoticed.

With auctex 11.87-11.42, taken from opensuse leap 42.2 by default, the 
bug is not present: the typo "contradition" is correctly reported.

Any bugfix?

Thx in advance,
Leon